### Signal

# Clutter Actor::parent-set

#### Declaration

    void
    parent_set (
      ClutterActor* self,
      ClutterActor* old_parent,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the parent of the actor changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`old_parent`

  Type: `ClutterActor`

  The previous parent of the actor, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.